routes/web.php
<?php

use App\Models\Service;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\LogController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\PatientController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\CalenderController;
use App\Http\Controllers\EmployerController;
use App\Http\Controllers\PaimentController;
use App\Http\Controllers\PrintController;
use App\Http\Controllers\ServicesController;
use App\Http\Controllers\RendezVousController;
use App\Http\Controllers\SearchController;
use App\Http\Controllers\StatiqtiqueController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return redirect('/login');
});





Route::middleware('auth')->group(function(){


Route::resource('Employe',EmployerController::class);
Route::middleware(['auth','RoleCheck:ADMIN,manage-employe'])->group(function(){
    Route::resource('Roles',RoleController::class);
    Route::get('Logs',[LogController::class,'index']);
    Route::get('Statistiques',[StatiqtiqueController::class,'index']);
});
Route::resource('Services',ServicesController::class);
    Route::resource('Patients',PatientController::class);
    Route::post('Paiment',[PaimentController::class,'add'])->name('paiment');
    Route::get('Paiments',[PaimentController::class,'index'])->name('paiments');
    Route::get('print/{id}',[PrintController::class,'print'])->name('print');

    Route::post('Valider/{id}',[PaimentController::class,'confirmer'])->name('validate');
    Route::post('Reject/{id}',[PaimentController::class,'reject'])->name('reject');
    Route::resource('Consultations',RendezVousController::class);

Route::middleware(['auth','RoleCheck:MEDECIN,show-calender'])->group(function(){
    Route::get('Calender',[CalenderController::class,'index']);
});

Route::get("result",[SearchController::class,'search'])->name('search');

});

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::get("consultationResult",function(){
    return view("consultationResultPage");
});




Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';

resources/views/layouts/AjouterConsultation.blade.php
<div class="modal fade" id="ajouterconsultation" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content p-3  ">


        <form method="POST" enctype="multipart/form-data"  action="{{route('Consultations.store')}}" class="AjouterForm " style="background-color: #fff;border-radius:5px" >

            @csrf
                <div class="row ">

                    <div class="col-6">

                        <div class="mb-3">
                            <label for="exampleFormControlInput1" class="form-label">Numéro Consultation</label>
                            <div class="d-flex" >
                                <input required type="text"  name="NumeroConsultation" class="form-control form-control-sm" id="exampleFormControlInput1" >
                                <button  type="button" class="btn btn-success"  id="generateAjouter" >
                                    <i class="fa-solid fa-lightbulb"></i>
                                </button>
                            </div>
                        </div>
                    </div>
            <div class="col-6">

                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">Patient</label>
                    <select required name="patient_id"  id="patientAjouter" class="form-control form-control-sm " aria-label=".form-select-lg example">
                        <option value="" selected>Choisir Patient</option>
                        @foreach ($patients as $patient )
                        <option value="{{$patient->id}}">{{$patient->Nom}} - {{$patient->Prenom}} - {{$patient->Numero}} </option>
                        @endforeach
                      </select>
                </div>
            </div>

            <div class="col-6">

                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">Object</label>
                    <input required name="Objet" class="form-control form-control-sm" id="exampleTextarea" />
                </div>
            </div>

            <div class="col-6">
                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">Observation</label>
                    <input required name="Observation" class="form-control form-control-sm" id="exampleTextarea" />
                </div>
            </div>

                  <div class="col-6">

                      <div class="mb-3">
                          <label for="exampleFormControlInput1" class="form-label">Type consultation</label>
                          <select required name="TypeCosultation" id="operationAjouter" class="form-select  " aria-label=".form-select-lg example">
                            <option selected>Choisir Patient</option>
                            <option value="Consultationgénéral ">Consultation général  </option>
                            <option value="operation ">Une Opération  </option>
                          </select>
                        </div>
                </div>


                    <div class="col-6 hide  pmedcinAjouter ">
                        <label for="exampleFormControlInput1" class="form-label">Date </label>
                        <input required id="dateconsul"  type="date" name="Date_consultation"  required class="form-control form-control-sm" id="exampleFormControlInput1" >
                    </div>

                    <div class="col-6 hide pdate">
                        <label for="exampleFormControlInput1" class="form-label">Time</label>
                    <select required class="form-select form-select-sm "  name="time" aria-label=".form-select-lg example">
                        <option selected>Choisir Time</option>
                      </select>
                     </div>

                    <div class="col-6 hide operationInputs">
                        <label for="exampleFormControlInput1" class="form-label">Type Operation</label>
                    <select required class="form-select form-select-sm" name="typeoperation_id"  aria-label=".form-select-lg example">
                        <option value="">Choisir Type operation</option>
                        @foreach ($typeoperations as $type)
                        <option value="{{$type->id}}">{{$type->type_operation}}</option>
                        @endforeach
                      </select>
                     </div>


                    <div class="col-12 operationInputs hide">
                        <label for="exampleFormControlInput1" class="form-label">Equipe</label>
                        <div class="mb-3">
                            <select class="form-select form-select-sm" name="equipe[]" id=""  width='100%' multiple  >
                                <optgroup label="Medecins">
                                    @foreach ($medecins as $medecin)
                                    <option value="{{ $medecin->id }}">{{ $medecin->Matricule .''. $medecin->Nom }}</option>
                                    @endforeach
                                </optgroup>
                                <optgroup label="Assistants">
                                    @foreach ($Assistants as $assistant)
                                    <option value="{{ $assistant->id }}">{{ $assistant->Nom }}</option>
                                    @endforeach
                                </optgroup>
                                <optgroup label="Infermiers">
                                    @foreach ($infermiers as $infermier)
                                    <option value="{{ $infermier->id }}">{{ $infermier->Nom }}</option>
                                    @endforeach
                                </optgroup>
                            </select>
                        </div>
                    </div>




                    <div class="col-6  operationInputs hide">
                        <div class="mb-3">
                            <label for="exampleFormControlInput1" class="form-label">Bloc operation</label>
                            <input required id="dateconsul"  type="text" name="blocoperation"  required class="form-control form-control-sm" id="exampleFormControlInput1" >

                        </div>
                    </div>

                    <div class="col-12 einfoAjouter ">

                    </div>

                    <div class="col-6 operationInputs hide">
                        <div class="mb-3">
                            <label for="exampleFormControlInput1" class="form-label">Date de Debut</label>
                            <input  type="datetime-local" name="DateDebut"   class="form-control form-control-sm" id="exampleFormControlInput1" >
                        </div>
                    </div>

                    <div class="col-6 operationInputs hide">
                        <div class="mb-3">
                            <label for="exampleFormControlInput1" class="form-label">Date de Fin</label>
                            <input  type="datetime-local" name="DateFin"   class="form-control form-control-sm" id="exampleFormControlInput1" >
                        </div>
                    </div>

                    <div class="mb-3 operationInputs hide">
                        <label for="exampleFormControlInput1" class="form-label">Operation observation</label>
                        <input name="ObservationOperation"  class="form-control form-control-sm" id="exampleTextarea" />
                    </div>

                </div>

                  <button type="submit" class="btn col-12  btn-primary btnAj ">Enregistrer</button>
                </form>






            </div>


    </div>
</div>
</div>

<script>

    var equipes ={{ Js::from($equipes)}}
    var patients ={{ Js::from($patients)}}
    var patientselect = document.querySelector('#patientAjouter')
    var inputsdate = document.querySelectorAll('.pmedcinAjouter')
    var pselect;
    let result = document.querySelector(".result")
    let searchField = document.querySelector(".search-field")
    let searchwrapper = document.querySelector(".search-wrapper")
    let resultItems = document.querySelectorAll(".role")


    patientselect.onchange=(e)=>{
        var idp = e.target.options[e.target.selectedIndex].value

        if(idp){
             pselect = patients.find(e=>e.id==idp)
            inputsdate.forEach(item=>item.classList.remove('hide'))
        }
        else{
            inputsdate.forEach(item=>item.classList.add('hide'))
        }
    }


    var btngenerer = document.querySelector('#generateAjouter')
    btngenerer.onclick=(e)=>{
        var data = ['A','B','C',1,2,3,'D','E','F','H','J',5,6,'K','L','M','V',4,,7,9]
        var generatedvalue = data.sort(()=>0.75-Math.random()).splice(0,10).join('')
        var input = e.target.closest('div').firstElementChild
        input.value=generatedvalue
    }


    var operation = document.querySelector('#operationAjouter');

    operation.onchange=(e=>{
        (e.target.options[e.target.selectedIndex].value)
        var operationsInputs=document.querySelectorAll('.operationInputs')
        if(e.target.options[e.target.selectedIndex].value.trim()=='operation'){
            operationsInputs.forEach(operation=>{operation.classList.remove('hide')
            operation.querySelector('input')?.setAttribute('required','required')
            operation.querySelector('select')?.setAttribute('required','required')
        })

        }
        else{
        operationsInputs.forEach(operation=>{operation.classList.add('hide')
        operation.removeAttribute('required');
    })
        }
    })


    // var equipe = document.querySelector('#equipeAjouter')
    // equipe.onchange=(e=>{
    //     var idequipe = e.target.options[e.target.selectedIndex].value.trim()
    //    var result =  equipes.find(eq=>eq.id==idequipe)
    //    var targetdiv = e.target.closest('div').nextElementSibling
    //    var medcin=[];
    //    var infermiere=[];
    //    var einfo = document.querySelector('.einfoAjouter')
    //     result.equipemember.forEach(e=>{
    //     if(e?.medecin){
    //         medcin.push(e.medecin)
    //     }
    //     if(e?.infermiere){
    //         infermiere.push(e.infermiere)
    //     }
    //    } )
    //    einfo.innerHTML=`
    //    <textarea readonly class='form-control' > ${medcin.map(e=>`- medcin : ${ e.Matricule } ${ e.Nom } `)} </textarea>
    //    `

    // })



</script>
<script src="{{asset('js/CheckDate.js')}}"></script>

resources/views/layouts/AjouterPaiment.blade.php
<div class="modal fade" id="Paiment{{$consultation->id}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">

        <div class="modal-body">
            <form action="{{route('paiment',['consultation_id'=>$consultation->id])}}" method="post">
                @csrf
                <div class="row">
                    <div class="col-6">
                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">Type Paiment</label>
                    <select required name="typepaiment_id"  id="paimenttype" class="form-select " aria-label=".form-select-lg example">
                        <option value="" selected>Choisir Type paiment</option>
                        @foreach (App\Models\Typepaiment::all() as $type )
                        <option value="{{$type->id}}">{{$type->typepaiment}} </option>
                        @endforeach
                      </select>
                </div>

                    </div>

                <div class="col-6 ">
                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">Montant</label>
                        <input required  value="{{$consultation->TypeCosultation=='Consultationgénéral'?$consultation->patient->medecin->Tarif:$consultation?->operation?->Typeoperation?->prix}}" type="text" name="Montant"   class="form-control" id="exampleFormControlInput1" >
                    </div>
                </div>

                <div class="col-6  Pai  hide CHECK ">
                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">Numero check</label>
                        <input required type="text" name="numerocheck" class="form-control" id="exampleFormControlInput1" >
                    </div>
                </div>

                <div class="col-6 hide Pai CHECK ">
                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">Date demission</label>
                        <input required  type="date" name="date_demission" class="form-control" id="exampleFormControlInput1" >
                    </div>
                </div>

                <div class="col-6  Pai DEPOT hide ">
                    <div class="mb-3 ">
                        <label for="exampleFormControlInput1" class="form-label">Transaction</label>
                        <input required value="" type="text" name="transaction"   class="form-control" id="exampleFormControlInput1" >
                    </div>
                </div>

                <div class="col-6  Pai DEPOT hide ">
                    <div class="mb-3 ">
                        <label for="exampleFormControlInput1" class="form-label">date depot</label>
                        <input required  value="" type="date" name="date_depot"   class="form-control" id="exampleFormControlInput1" >
                    </div>
                </div>




            </div>


                <button class="btn btnAj btn-primary" style="width: 100%;background-color:#163dcd"  >Enregistrer</button>
            </form>
        </div>

      </div>
    </div>
  </div>


  <script>



var select = document.querySelectorAll('#paimenttype');
select.forEach(element => {
        element.onchange=(e)=>{
            (element.value)
            e.target.closest('.modal-content').querySelectorAll('.Pai').forEach(d=>d.classList.add('hide'));
            e.target.closest('.modal-content').querySelectorAll('.Pai').forEach(d=>d.querySelector('input').removeAttribute('required'));
            if(element.value=='3'){
                e.target.closest('.modal-content').querySelectorAll('.DEPOT').forEach(d=>d.classList.remove('hide'));
                e.target.closest('.modal-content').querySelectorAll('.DEPOT').forEach(d=>d.querySelector('input').setAttribute('required','required'));
            }
            if(element.value=='2'){
                e.target.closest('.modal-content').querySelectorAll('.CHECK').forEach(d=>d.classList.remove('hide'));
                e.target.closest('.modal-content').querySelectorAll('.CHECK').forEach(d=>d.querySelector('input').setAttribute('required','required'));
            }
        }
});





  </script>

resources/views/layouts/ModifierEmployer.blade.php
<div id={{"ADD".$employe->id}} class="modal fade"  tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
    <form method="POST"  action="{{route('Employe.update',$employe->id)}}"   >
            @csrf
            @method("PUT")
            <div   class="AjouterForm p-1  m-3"  >
            <div class="mb-2">
              <label  for="exampleFormControlInput1" class="form-label">Role</label>
              <select required id="role"  name="role_id" class="form-select " aria-label=".form-select-lg example">
                  <option value="" selected>Choisir un Role</option>
                  @foreach ($roles as $role )
                  <option  @selected($role->id==$employe->role_id) value="{{$role->id}}">{{$role->name}}</option>
                  @endforeach
              </select>
           </div>


              <div class="mb-2">
                  <label for="exampleFormControlInput1" class="form-label">Nom</label>
                  <input value='{{$employe->Nom}}'  required type="text" name="Nom"   class="form-control" id="exampleFormControlInput1" >
                </div>

              <div class="mb-2">
                  <label for="exampleFormControlInput1" class="form-label">Prenom</label>
                  <input  value='{{$employe->Prenom}}' required type="text" name="Prenom"   class="form-control" id="exampleFormControlInput1" >
              </div>

              <div class="mb-2">
                  <label for="exampleFormControlInput1" class="form-label">Email</label>
                  <input  value='{{$employe->Email}}'  required type="text" name="Email"   class="form-control" id="exampleFormControlInput1" >
              </div>

              <div class="mb-2">
                  <label for="exampleFormControlInput1" class="form-label">Tele</label>
                  <input value='{{$employe->Tel}}' type="text" name="Tel"   class="form-control" id="exampleFormControlInput1" >
              </div>



          <div class=" hide medecin infermiere "  >
              <div class="mb-2">
                  <label for="exampleFormControlInput1" class="form-label">Services</label>
                  <select     name="service_id" class="form-select " aria-label=".form-select-lg example">
                      <option value="" >Choisir un Role</option>
                      @foreach ($services as $service )
                      <option @selected($service->id==$employe->service_id) value="{{$service->id}}">{{$service->nom}}</option>
                      @endforeach
                  </select>
              </div>
          </div>

              <div class=" hide medecin"  >
              <div class="mb-2">
                  <label for="exampleFormControlInput1" class="form-label">Tarif</label>
                  <input value="{{$employe->Tarif}}"  type="text" name="Tarif"   class="form-control" id="exampleFormControlInput1" >
              </div>
            </div>

            <div class=" hide medecin"  >
              <div class="mb-2">
                  <label for="exampleFormControlInput1" class="form-label">Specialite</label>
                  <input  value="{{$employe->specialite}}"  type="text" name="specialite"   class="form-control" id="exampleFormControlInput1" >
              </div>
            </div>
                  <button type="submit"  style="width: 100%;padding:10px" class="btn btn-danger btnAj ">Enregistrer</button>
            </div>
        </form>
    </div>
</div>
</div>




<script>
    $(document).ready(function () {
        $('form').on('submit', function (e) {
            e.preventDefault();

            var formData = $(this).serialize();

            $.ajax({
                type: 'POST',
                url: $(this).attr('action'),
                data: formData,
                success: function (response) {
                    location.reload();
                },
                error: function (xhr, status, error) {
    var errors = JSON.parse(xhr.responseText);
    $.each(errors.errors, function (key, value) {
        var errorMessage = $('<p class="text-danger"></p>').text(value[0]);
        var inputField = $('[name="' + key + '"]');
        inputField.closest('.mb-2').find('.text-danger').remove(); // Remove existing error messages
        inputField.closest('.mb-2').append(errorMessage);
    });
}

            });
        });
    });
</script>




<script src="{{asset('js/modifieremployer.js')}}"></script>

resources/views/layouts/ModifierPatient.blade.php
<div class="modal fade" id="modifier{{$patient->id}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content p-3 ">
            <form method="POST" enctype="multipart/form-data"  action="{{route('Patients.update',$patient->id)}}" class="AjouterForm" style="background-color: #fff;border-radius:5px" >
    @csrf
    @method('PUT')
    <div class="col-12 ">
        <label for="exampleFormControlInput1" class="form-label">Medecin</label>
        <select required class="form-select form-select-sm" name="employe_id"  aria-label=".form-select-lg example">
            <option value="">Choisir Medecin</option>
            @foreach ($medecins as $medcin)
            <option  @selected($patient->employe_id==$medcin->id) value="{{$medcin->id}}">{{$medcin->Matricule}} - {{$medcin->Nom}}</option>
            @endforeach
          </select>
         </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">CIN</label>
            <input  type="text" name="CIN" value="{{$patient->CIN}}"  required class="form-control form-select-sm " id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Nom</label>
            <input  type="text" name="Nom"  value="{{$patient->Nom}}"  required class="form-control form-select-sm " id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Prenom</label>
            <input  type="text" name="Prenom"  value="{{$patient->Prenom}}"  required class="form-control form-select-sm " id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Adresse</label>
            <input  type="text" name="Adresse"  value="{{$patient->Adresse}}"  required class="form-control form-select-sm " id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Tel</label>
            <input  type="text" name="Tel"  value="{{$patient->Tel}}"  required class="form-control form-select-sm " id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Email</label>
            <input  type="email" name="Email"  value="{{$patient->Email}}" required class="form-control form-select-sm " id="exampleFormControlInput1" >
          </div>
          <div class="row mb-1 ">
            <div class="col-6" class="cin">
                <label for="exampleFormControlInput1" >CIN RECTO</label>
                <div class="upload-icon-holder"  style="border: 3px dashed #646161d6;border-radius:5px" >
                <label id="ll"  for="cinrecto"><img  src="storage/{{$patient->cinrecto}}"  /></label>
                </div>
                <input  name="cinrecto"   type="file" id="cinrecto" style="visibility:hidden" >
            </div>
            <div class="col-6" class="cin">
                <label for="exampleFormControlInput1" >CIN VERSO</label>
                <div class="upload-icon-holder"  style="border: 3px dashed #646161d6;border-radius:5px" >
                <label id="ll" for="cinverso"><img src="storage/{{$patient->cinverso}}"   /></label>
                </div>
                <input name="cinverso"  type="file" id="cinverso" style="display: none" >
            </div>
          </div>
          <button style="width: 100%;padding:10PX" class="btn btn-danger btnAj ">Enregistrer</button>
        </form>

</div>
    </div>
  </div>

  <script>
    $(document).ready(function() {
        $('form').submit(function(e) {
            e.preventDefault();

            var formData = new FormData(this);

            $.ajax({
                type: 'POST',
                url: $(this).attr('action'),
                data: formData,
                processData: false,
                contentType: false,
                success: function(response) {
                    location.reload();
                },
                error: function(xhr, status, error) {
                    var errors = JSON.parse(xhr.responseText);

                    $.each(errors.errors, function(key, value) {
                        $('[name="' + key + '"]').closest('.mb-3').append('<p class="text-danger">' + value[0] + '</p>');
                    });
                }
            });
        });
    });
</script>

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />

        <!-- Scripts -->
        @vite(['resources/css/app.css', 'resources/js/app.js'])
    </head>
    <body class="font-sans antialiased">
        <div class="min-h-screen bg-gray-100">
            @include('layouts.navigation')

            <!-- Page Heading -->
            @if (isset($header))
                <header class="bg-white shadow">
                    <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                        {{ $header }}
                    </div>
                </header>
            @endif

            <!-- Page Content -->
            <main>
                {{ $slot }}
            </main>
        </div>
    </body>
</html>

resources/views/layouts/guest.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />

        <!-- Scripts -->
        @vite(['resources/css/app.css', 'resources/js/app.js'])
    </head>
    <body class="font-sans text-gray-900 antialiased">
        <div class="min-h-screen flex flex-col sm:justify-center items-center pt-6 sm:pt-0 bg-gray-100">
            <div>
                <a href="/">
                    <x-application-logo class="w-20 h-20 fill-current text-gray-500" />
                </a>
            </div>

            <div class="w-full sm:max-w-md mt-6 px-6 py-4 bg-white shadow-md overflow-hidden sm:rounded-lg">
                {{ $slot }}
            </div>
        </div>
    </body>
</html>

resources/views/layouts/modifierRole.blade.php
<div class="modal fade" id={{"modifier".$role->id}} tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">

        <div class="modal-body">
            <form action="{{route('Roles.update',$role->id)}}" method="post">
                @csrf
                @method('PATCH')
                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">Role</label>
                    <input  type="text" value="{{$role->name}}" name="name"  required class="form-control" id="exampleFormControlInput1" >
                </div>
                <button class="btn btnAj btn-primary" style="width: 100%;background-color:#163dcd"  >Enregistrer</button>
            </form>
        </div>

      </div>
    </div>
  </div>

resources/views/layouts/modifierServices.blade.php
<div class="modal fade" id={{"modifier".$service->id}} tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">

        <div class="modal-body">
            <form action="{{route('Services.update',$service->id)}}" method="post">
                @csrf
                @method('PATCH')
                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">Nom Service</label>
                    <input  type="text" value="{{$service->nom}}" name="nom"  required class="form-control" id="exampleFormControlInput1" >
                </div>
                <button class="btn btnAj btn-primary" style="width: 100%;background-color:#163dcd"  >Enregistrer</button>
            </form>
        </div>

      </div>
    </div>
  </div>